Login   Register  
PHP Classes
elePHPant
Icontem

PHP < 5.3.0

Recommend this page to a friend!
Stumble It! Stumble It! Bookmark in del.icio.us Bookmark in del.icio.us

      BAST PHP Security Test  >  All threads  >  PHP < 5.3.0  >  (Un) Subscribe thread alerts  
Subject:PHP < 5.3.0
Summary:Cant run on PHP<5.3.0
Messages:2
Author:Jorge Henrique Nunes de Vasconcelos
Date:2012-10-08 20:44:50
Update:2012-10-08 21:00:22
 

  1. PHP < 5.3.0   Reply   Report abuse  
Picture of Jorge Henrique Nunes de Vasconcelos
Jorge Henrique Nunes de Vasconcelos
2012-10-08 20:44:50
The function gethostname don't exist on PHP versions older than 5.3.0, so the code stops at the line "Detected software:".
You can use function_exists('gethostname') to create a function gethostname, or to bypass this information on the code.

  2. Re: PHP < 5.3.0   Reply   Report abuse  
Picture of Artur Graniszewski
Artur Graniszewski
2012-10-08 21:00:22 - In reply to message 1 from Jorge Henrique Nunes de Vasconcelos
Many thanks for your help:). I fixed this as soon as I read your comment:)